*{
  margin:0;
  padding:0;
  box-sizing:border-box;
}
html{
  /* font-family: "Helvetica Neue", "Helvetica", "Hiragino Sans", "Hiragino Kaku Gothic ProN", "Arial", "Yu Gothic", "Meiryo", sans-serif; */
  font-family: "メイリオ", Meiryo, Osaka, "ＭＳ Ｐゴシック", "MS PGothic", "ヒラギノ角ゴ Pro W3", "Hiragino Kaku Gothic Pro", sans-serif;
}
body{
  width:100%;
  min-height: 100%;
}
.world{
  width:100%;
  min-height: 100%;
  box-sizing:border-box;
  position: relative;
  opacity:0;
}
.mask{
  width:100%;
  height:100%;
  min-height: 100%;
  position: fixed;
  top:0;
  left:0;
  background:rgba(0, 0, 0, .4);
}

.header_box{
  width:100%;
  position: sticky;
  top:0;
  display: flex;
  flex-direction: column;
}

.header_1{
  width:100%;
  position:sticky;
  top:-64px;
  display: flex;
  background: #FFF;
  flex-direction: row;
  justify-content: space-between;
  user-select: none;
  background:#FFF;
  z-index:999;
}
  .header_1 .logo{
    background-image: url(./img/logo.png);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: left;
    background-color: #FFF;
    width:85%;
    height:64px;
  }
  .header_1 .qrcode{
    width:64px;
    height:64px;
    background-image:url(./img/qrcode_sample.png);
    background-size: cover;
    margin-right:6px;
  }
  .header_1 .ajax_icon{
    position:absolute;
    width:4px;
    height:4px;
    top:2px;
    right:2px;
    background:#000;
  }

.header_2{
  width:100%;
  position: sticky;
  display: flex;
  top:0;
  background:#00F;
  opacity: 1;
  user-select: none;
}
  .header_2 .title_waku{
    overflow: hidden;
    animation: infoAnimation 6s linear infinite;
  }
  .header_2 .title{
    /* position:sticky; */
    /* top:64px; */
    height:100%;
    font-size:32px;
    color:#FFF;
    line-height: 64px;
    padding:0 10px;
  }
  .header_2 .upload{
    position: relative;
    width:48px;
    height:48px;
    background-image:url(./img/upload.png);
    background-size: cover;
    margin-right:6px;
    margin-top:2px;
    /* align-self: center; */
    filter: drop-shadow(5px 5px 5px #222);
  }
  .header_2 .dot{
    position: relative;
    width:48px;
    height:48px;
    background-size: cover;
    margin-left:auto;
    margin-right:6px;
    align-self: center;
    filter: drop-shadow(5px 5px 5px #222);
  }
  .header_2 .dot_p0{
    background-image:url(./img/dot_p0.png);
  }
  .header_2 .dot_p1{
    background-image:url(./img/dot_p1.png);
  }

  .fav_0{
    background-image:url(./img/fav_0.png);
    background-repeat: no-repeat;
    background-position: center;
  }
  .fav_1{
    background-image:url(./img/fav_1.png);
    background-repeat: no-repeat;
    background-position: center;
  }


.waku{
  position:relative;
  box-sizing:content-box;
  margin:10px;
  padding:20px;
  border:4px solid #00B;
  border-radius: 10px;
  box-shadow: 5px 5px 2px 0 rgba(0,0,0,0.4);
  margin-top:30px;
}
div.waku_title_str{
  position:absolute;
  left:10px;
  top:-16px;
  background:#00B;
  color:#FFF;
  border:4px solid #00B;
  border-radius:6px;
  padding: 0 10px;
}

.file_select_box{

}
  .file_select_box .label{
    display:block;
    font-size:24px;
    color: #FFF;
    background: #2d86df;
    padding: 10px;
    border: solid 4px #FFF;
    border-radius: 10px;
    /* width:100%; */
    margin:10px;
    box-sizing:content-box;
    box-shadow: 0 10px 15px 0 rgba(0, 0, 0, .5);
  }
  .file_select_box .file_input{
    /* position:relative;
    width:100%;
    font-size:24px;
    padding:8px;
    box-sizing:border-box;
    border-radius: 10px;
    box-shadow: 5px 5px 2px 0 rgba(0,0,0,0.4); */
    display: none;
  }

  .waku_create{
    position: sticky;
    top:64px;
    padding:10px;
    z-index:999;
    background:#FFF;
  }
    .waku_create .input_title{
      position:relative;
      width:100%;
      font-size:24px;
      padding:8px 12px;
      box-sizing:border-box;
      border-radius: 10px;
      box-shadow: 2px 2px 2px 0 rgba(0,0,0,0.4);
    }
    .waku_create .create_space_btn{
      position:relative;
      width:100%;
      height:64px;
      font-size:24px;
      margin-top:10px;
      background: #00f;
      color:#fff;
      border-radius: 10px;
      box-shadow: 5px 5px 2px 0 rgba(0,0,0,0.4);
    }
    button.create_space_btn {
      height:64px;
      font-size:28px;
    }

.waku_images{
  display:flex;
  flex-wrap:wrap;
  justify-content: center;
  gap:6px;
  margin-top:10px;
  box-sizing:border-box;
}
  #waku_images .img_div{
    /* border:1px solid #000; */
    user-select: none;
    border-radius: 10px;
    padding:4px;
    background-repeat:no-repeat;
    background-position: center;
    background-size: contain;
    box-shadow: 0 10px 25px 0 rgba(0, 0, 0, .5);
    /* position:sticky;
    top:128px; */
  }

.waku_history{
  display: none;
  box-sizing:content-box;
  /* min-height: 96px; */
  user-select: none;
}
  .waku_history li{
    list-style-type: none;
    margin-top:6px;
    margin-bottom:6px;
  }


.jconfirm-buttons .btn{
  width:90px;
  height:50px;
  font-size:18px !important;
  filter: drop-shadow(1px 1px 1px #666);
}

/* @keyframes infoAnimation {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-100%);
  }
} */